Yaf_Dispatcher::disableView
Yaf_Dispatcher::enableView
Yaf_Dispatcher
PHP Manual

# Yaf_Dispatcher::dispatch

Dispatch a request

### Description

public Yaf_Response_Abstract Yaf_Dispatcher::dispatch ( Yaf_Request_Abstract `$request` )

This method does the heavy work of the Yaf_Dispatcher. It take a request object.

The dispatch process has three distinct events:

- Routing
- Dispatching
- Response

Routing takes place exactly once, using the values in the request object when dispatch() is called. Dispatching takes place in a loop; a request may either indicate multiple actions to dispatch, or the controller or a plugin may reset the request object to force additional actions to dispatch(see Yaf_Plugin_Abstract. When all is done, the Yaf_Dispatcher returns a response.

### Parameters

`request`

### Return Values